Jump to content

SigmaPlus

Forum Members
  • Posts

    148
  • Joined

  • Last visited

Everything posted by SigmaPlus

  1. usb 1-2: dvb_usb_v2: found a 'Astrometa DVB-T2' in warm state Май 31 09:51:27 kernel usb 1-2: dvb_usb_v2: will pass the complete MPEG2 transport stream to the software demuxer Май 31 09:51:27 kernel DVB: registering new adapter (Astrometa DVB-T2) Май 31 09:51:27 kernel rtl2832: Unknown symbol __div64_32 (err 0) Май 31 09:51:27 kernel usbcore: registered new interface driver dvb_usb_rtl28xxu
  2. Недавно (на 3.7 Alpha 5) отваливалась поддержка из-за изменения modver с 4.9-ndm-4 на 4.9-ndm-5. разобрались, благодаря McMCC соответствующий модуль вновь заработал. И так было до 3.7 Alpha 11 (текущей прошивки). Теперь никакого взаимодействия модуля и драйверов для DVB судя по логу попросту нет. То есть любая ругань вообще отсутствует в логе. Просто тишина по поводу DVB, ну и отсутствие взаимодействия, сооттветственно. Что? Почему?
  3. Уважаемые разработчики хотелось бы если совершаются какие-то осознанные действия затрагивающие ядро и нарушающие работоспособность DVB видеть в журнале изменений соответствующую информацию. Иначе получается чистый ребус. Если же на ваш взгляд изменений подобного рода на 3.7 Alpha 11 не было то прошу принять к сведению и разораться почему поддержка DVB опять отвалилась именно на этом этой версии прошивки.
  4. Спасибо! Работает отлично. Вопрос чисто эстетического характера: как побороть неверную по сути запись в логе Opkg::Manager: /opt/etc/init.d/rc.unslung: modinfo: ERROR: Module /opt/lib/modules/4.9-ndm-5/kernel/compat.ko not found. ? P.S. В смысле понимаю как, имею ввиду что надо расположение compat.ko корректнее указать в скрипте S00kmod_config. Подправить самому 1 секунда...
  5. Надеюсь на суде мне удастся отстоять свою невиновность и убедить представителей органов в том что они заблуждались. 1.При переходе на ядро 4.9 (на серию прошивок 3.xx ) модуль ядра для поддержки DVB так и не был собран. Модуль предлагается для установки , но противопоказан к установке поскольку не обеспечивает работоспособность. Поэтому благодаря McMCC был собран обходной вариант который позволяет жить и не тужить использую костыли. Соответственно всё неубходимое находится на примонтированной флешке в рамках OPKG. 2.Откат на 3.7 Alpha 4 сразу же восстанавливает работоспособность решения. Таким образом уважаемый суд прошу учесть эти обстоятельства и вынести непретвзятое решение встав на защиту интересов граждан и законности.
  6. Cтатья 51. Конституции Российской Федерации стоит на защите моих прав, так что склоняюсь к тому чтобы воздержаться. Впрочем могу и передумать если пойму какого рода информация о opkg-kmod-dvb-tuner Вас интересует.
  7. Как сознательный гражданин готов всячески содействовать органам. Высылаю Вам явки и пароли. P.S. Нашёл в логе что в процессе загрузки роутера Opkg::Manager: /opt/etc/ndm/usb.d/000-kmod_loader.sh: modinfo: ERROR: Module /opt/lib/modules/4.9-ndm-5/kernel-4.9/compat.ko not found.
  8. Обновление 3.7 Alpha 5 поломало (ликвидировало) поддержку DVB. Никакой ругани в логе, просто с драйвером вообще не взаимодействует. KN-1810.
  9. У меня на Ultra всё прекрасно работает благодаря Вашим наработкам. В данный момент я на 3.6 beta3.
  10. Вы решили здесь блог завести? Вы бы всё в один пост собрали и изложили, ну просто для удобства окружающих. Ну чтобы все узнали что вы делали вечером 12 января 2021 года.
  11. Обновил вчера (04.12.2020) пакеты Entware, среди них и nginx. Теперь с ним проблемы. В логе самого роутера (KN-1810, прошивка 3.6) это выглядит вот так: Дек 5 02:07:27 kernel do_page_fault(): sending SIGSEGV to nginx for invalid write access to 7fea3000 Дек 5 02:07:27 kernel epc = 7727c344 in libc-2.27.so[771f3000+17a000] Дек 5 02:07:27 kernel ra = 779a84a4 in libcrypt-2.27.so[779a7000+9000] Дек 5 02:07:27 kernel do_page_fault(): sending SIGSEGV to nginx for invalid write access to 7fea3000 Дек 5 02:07:27 kernel epc = 7727c36c in libc-2.27.so[771f3000+17a000] Дек 5 02:07:27 kernel ra = 779a84a4 in libcrypt-2.27.so[779a7000+9000] Дек 5 02:07:31 kernel do_page_fault(): sending SIGSEGV to nginx for invalid write access to 7fea3000 Дек 5 02:07:31 kernel epc = 7727c36c in libc-2.27.so[771f3000+17a000] Дек 5 02:07:31 kernel ra = 779a84a4 in libcrypt-2.27.so[779a7000+9000] Дек 5 02:07:31 kernel do_page_fault(): sending SIGSEGV to nginx for invalid write access to 7fea3000 Дек 5 02:07:31 kernel epc = 7727c36c in libc-2.27.so[771f3000+17a000] Дек 5 02:07:31 kernel ra = 779a84a4 in libcrypt-2.27.so[779a7000+9000] Дек 5 02:07:33 kernel do_page_fault(): sending SIGSEGV to nginx for invalid write access to 7fea3000 Дек 5 02:07:33 kernel epc = 7727c36c in libc-2.27.so[771f3000+17a000] Дек 5 02:07:33 kernel ra = 779a84a4 in libcrypt-2.27.so[779a7000+9000] Дек 5 02:07:33 kernel do_page_fault(): sending SIGSEGV to nginx for invalid write access to 7fea3000 Дек 5 02:07:33 kernel epc = 7727c36c in libc-2.27.so[771f3000+17a000] Дек 5 02:07:33 kernel ra = 779a84a4 in libcrypt-2.27.so[779a7000+9000] Дек 5 02:07:33 kernel do_page_fault(): sending SIGSEGV to nginx for invalid write access to 7fea3000 Дек 5 02:07:33 kernel epc = 7727c36c in libc-2.27.so[771f3000+17a000] Дек 5 02:07:33 kernel ra = 779a84a4 in libcrypt-2.27.so[779a7000+9000] Дек 5 02:07:33 kernel do_page_fault(): sending SIGSEGV to nginx for invalid write access to 7fea3000 Дек 5 02:07:33 kernel epc = 7727c36c in libc-2.27.so[771f3000+17a000] Дек 5 02:07:33 kernel ra = 779a84a4 in libcrypt-2.27.so[779a7000+9000] Дек 5 02:07:33 kernel do_page_fault(): sending SIGSEGV to nginx for invalid write access to 7fea3000 Дек 5 02:07:33 kernel epc = 7727c36c in libc-2.27.so[771f3000+17a000] Дек 5 02:07:33 kernel ra = 779a84a4 in libcrypt-2.27.so[779a7000+9000] Дек 5 02:07:33 kernel do_page_fault(): sending SIGSEGV to nginx for invalid write access to 7fea3000 Дек 5 02:07:33 kernel epc = 7727c36c in libc-2.27.so[771f3000+17a000] Дек 5 02:07:33 kernel ra = 779a84a4 in libcrypt-2.27.so[779a7000+9000] Дек 5 02:07:33 kernel do_page_fault(): sending SIGSEGV to nginx for invalid write access to 7fea3000 Дек 5 02:07:33 kernel epc = 7727c36c in libc-2.27.so[771f3000+17a000] Дек 5 02:07:33 kernel ra = 779a84a4 in libcrypt-2.27.so[779a7000+9000] Дек 5 02:07:33 kernel do_page_fault(): sending SIGSEGV to nginx for invalid write access to 7fea3000 Дек 5 02:07:33 kernel epc = 7727c36c in libc-2.27.so[771f3000+17a000] Дек 5 02:07:33 kernel ra = 779a84a4 in libcrypt-2.27.so[779a7000+9000] Дек 5 02:07:33 kernel do_page_fault(): sending SIGSEGV to nginx for invalid write access to 7fea3000 Дек 5 02:07:33 kernel epc = 7727c36c in libc-2.27.so[771f3000+17a000] Дек 5 02:07:33 kernel ra = 779a84a4 in libcrypt-2.27.so[779a7000+9000] Дек 5 02:07:33 kernel do_page_fault(): sending SIGSEGV to nginx for invalid write access to 7fea3000 Дек 5 02:07:33 kernel epc = 7727c36c in libc-2.27.so[771f3000+17a000] Дек 5 02:07:33 kernel ra = 779a84a4 in libcrypt-2.27.so[779a7000+9000]
  12. Хотя нет, проблемы в работе на лицо. Видел здесь что ext-ui-lighttpd-7 не работает, у меня тоже не работает, но вариант на nginx.
  13. Ваша правда. Что-то я погорячился. Да всё работает, спасибо большое за Вашу плодотворную работу. Извините.
  14. BusyBox v1.31.1 () built-in shell (ash) ~ # opkg update Downloading http://bin.entware.net/mipselsf-k3.4/Packages.gz Updated list of available packages in /opt/var/opkg-lists/entware Downloading http://bin.entware.net/mipselsf-k3.4/keenetic/Packages.gz Updated list of available packages in /opt/var/opkg-lists/keendev ~ # opkg upgrade Upgrading ldconfig on root from 2.27-9 to 2.27-10... Downloading http://bin.entware.net/mipselsf-k3.4/ldconfig_2.27-10_mipsel-3.4.ipk Upgrading php7-mod-curl on root from 7.4.6-1 to 7.4.9-1... Downloading http://bin.entware.net/mipselsf-k3.4/php7-mod-curl_7.4.9-1_mipsel-3.4.ipk Upgrading libc on root from 2.27-9 to 2.27-10... Downloading http://bin.entware.net/mipselsf-k3.4/libc_2.27-10_mipsel-3.4.ipk Upgrading libpthread on root from 2.27-9 to 2.27-10... Downloading http://bin.entware.net/mipselsf-k3.4/libpthread_2.27-10_mipsel-3.4.ipk Upgrading busybox on root from 1.31.1-1 to 1.31.1-4... Downloading http://bin.entware.net/mipselsf-k3.4/busybox_1.31.1-4_mipsel-3.4.ipk Upgrading php7-mod-xmlreader on root from 7.4.6-1 to 7.4.9-1... Downloading http://bin.entware.net/mipselsf-k3.4/php7-mod-xmlreader_7.4.9-1_mipsel-3.4.ipk Upgrading php7-mod-exif on root from 7.4.6-1 to 7.4.9-1... Downloading http://bin.entware.net/mipselsf-k3.4/php7-mod-exif_7.4.9-1_mipsel-3.4.ipk Upgrading libcurl on root from 7.70.0-1 to 7.72.0-2... Downloading http://bin.entware.net/mipselsf-k3.4/libcurl_7.72.0-2_mipsel-3.4.ipk Upgrading libcap on root from 2.33-2 to 2.43-1... Downloading http://bin.entware.net/mipselsf-k3.4/libcap_2.43-1_mipsel-3.4.ipk Removing obsolete file /opt/lib/libcap.so.2.33. Upgrading php7-cgi on root from 7.4.6-1 to 7.4.9-1... Downloading http://bin.entware.net/mipselsf-k3.4/php7-cgi_7.4.9-1_mipsel-3.4.ipk Upgrading libpcre on root from 8.43-2 to 8.44-2... Downloading http://bin.entware.net/mipselsf-k3.4/libpcre_8.44-2_mipsel-3.4.ipk Removing obsolete file /opt/lib/libpcreposix.so.0.0.6. Removing obsolete file /opt/lib/libpcre.so.1.2.11. Upgrading grep on root from 3.4-1 to 3.4-2... Downloading http://bin.entware.net/mipselsf-k3.4/grep_3.4-2_mipsel-3.4.ipk Upgrading oniguruma on root from 6.9.5_rev1-2 to 6.9.5_rev1-3... Downloading http://bin.entware.net/mipselsf-k3.4/oniguruma_6.9.5_rev1-3_mipsel-3.4.ipk Upgrading php7-mod-xmlwriter on root from 7.4.6-1 to 7.4.9-1... Downloading http://bin.entware.net/mipselsf-k3.4/php7-mod-xmlwriter_7.4.9-1_mipsel-3.4.ipk Upgrading php7-fastcgi on root from 7.4.6-1 to 7.4.9-1... Downloading http://bin.entware.net/mipselsf-k3.4/php7-fastcgi_7.4.9-1_mipsel-3.4.ipk Upgrading php7-cli on root from 7.4.6-1 to 7.4.9-1... Downloading http://bin.entware.net/mipselsf-k3.4/php7-cli_7.4.9-1_mipsel-3.4.ipk Upgrading php7-mod-mbstring on root from 7.4.6-1 to 7.4.9-1... Downloading http://bin.entware.net/mipselsf-k3.4/php7-mod-mbstring_7.4.9-1_mipsel-3.4.ipk Upgrading libpng on root from 1.6.37-4 to 1.6.37-7... Downloading http://bin.entware.net/mipselsf-k3.4/libpng_1.6.37-7_mipsel-3.4.ipk Upgrading dropbear on root from 2019.78-4a to 2020.80-2... Downloading http://bin.entware.net/mipselsf-k3.4/dropbear_2020.80-2_mipsel-3.4.ipk Upgrading libpcre2 on root from 10.34-1 to 10.35-2... Downloading http://bin.entware.net/mipselsf-k3.4/libpcre2_10.35-2_mipsel-3.4.ipk Removing obsolete file /opt/lib/libpcre2-8.so.0.9.0. Upgrading php7-mod-json on root from 7.4.6-1 to 7.4.9-1... Downloading http://bin.entware.net/mipselsf-k3.4/php7-mod-json_7.4.9-1_mipsel-3.4.ipk Upgrading curl on root from 7.70.0-1 to 7.72.0-2... Downloading http://bin.entware.net/mipselsf-k3.4/curl_7.72.0-2_mipsel-3.4.ipk Upgrading libstdcpp on root from 8.4.0-9 to 8.4.0-10... Downloading http://bin.entware.net/mipselsf-k3.4/libstdcpp_8.4.0-10_mipsel-3.4.ipk Upgrading libgcc on root from 8.4.0-9 to 8.4.0-10... Downloading http://bin.entware.net/mipselsf-k3.4/libgcc_8.4.0-10_mipsel-3.4.ipk Upgrading php7-mod-dom on root from 7.4.6-1 to 7.4.9-1... Downloading http://bin.entware.net/mipselsf-k3.4/php7-mod-dom_7.4.9-1_mipsel-3.4.ipk Upgrading php7-mod-session on root from 7.4.6-1 to 7.4.9-1... Downloading http://bin.entware.net/mipselsf-k3.4/php7-mod-session_7.4.9-1_mipsel-3.4.ipk Upgrading librt on root from 2.27-9 to 2.27-10... Downloading http://bin.entware.net/mipselsf-k3.4/librt_2.27-10_mipsel-3.4.ipk Upgrading libtiff on root from 4.1.0-1 to 4.1.0-3... Downloading http://bin.entware.net/mipselsf-k3.4/libtiff_4.1.0-3_mipsel-3.4.ipk Removing obsolete file /opt/lib/libtiff.so. Upgrading php7-mod-simplexml on root from 7.4.6-1 to 7.4.9-1... Downloading http://bin.entware.net/mipselsf-k3.4/php7-mod-simplexml_7.4.9-1_mipsel-3.4.ipk Upgrading php7-mod-xml on root from 7.4.6-1 to 7.4.9-1... Downloading http://bin.entware.net/mipselsf-k3.4/php7-mod-xml_7.4.9-1_mipsel-3.4.ipk Upgrading php7-mod-zip on root from 7.4.6-1 to 7.4.9-1... Downloading http://bin.entware.net/mipselsf-k3.4/php7-mod-zip_7.4.9-1_mipsel-3.4.ipk Upgrading php7 on root from 7.4.6-1 to 7.4.9-1... Downloading http://bin.entware.net/mipselsf-k3.4/php7_7.4.9-1_mipsel-3.4.ipk Upgrading findutils on root from 4.7.0-1 to 4.7.0-2... Downloading http://bin.entware.net/mipselsf-k3.4/findutils_4.7.0-2_mipsel-3.4.ipk Upgrading tor on root from 0.4.2.7-1 to 0.4.3.6-1... Downloading http://bin.entware.net/mipselsf-k3.4/tor_0.4.3.6-1_mipsel-3.4.ipk Upgrading libssp on root from 8.4.0-9 to 8.4.0-10... Downloading http://bin.entware.net/mipselsf-k3.4/libssp_8.4.0-10_mipsel-3.4.ipk Upgrading libexpat on root from 2.2.9-1 to 2.2.9-2... Downloading http://bin.entware.net/mipselsf-k3.4/libexpat_2.2.9-2_mipsel-3.4.ipk Upgrading libfreetype on root from 2.10.1-1 to 2.10.2-1... Downloading http://bin.entware.net/mipselsf-k3.4/libfreetype_2.10.2-1_mipsel-3.4.ipk Removing obsolete file /opt/lib/libfreetype.so.6.17.1. Upgrading php7-mod-gd on root from 7.4.6-1 to 7.4.9-1... Downloading http://bin.entware.net/mipselsf-k3.4/php7-mod-gd_7.4.9-1_mipsel-3.4.ipk Upgrading nginx on root from 1.17.10-4 to 1.19.2-1a... Downloading http://bin.entware.net/mipselsf-k3.4/nginx_1.19.2-1a_mipsel-3.4.ipk Configuring libgcc. Configuring libc. Configuring libssp. Configuring libpthread. Configuring librt. Configuring ldconfig. Configuring libpcre2. Configuring php7. Configuring libcurl. Configuring php7-mod-curl. Configuring libpcre. Configuring grep. Configuring busybox. Warning: '/opt/bin/find' is already exists, skipping. Warning: '/opt/bin/xargs' is already exists, skipping. Warning: '/opt/bin/grep' is already exists, skipping. Warning: '/opt/bin/fgrep' is already exists, skipping. Warning: '/opt/bin/egrep' is already exists, skipping. Warning: '/opt/sbin/lsmod' is already exists, skipping. Warning: '/opt/sbin/insmod' is already exists, skipping. Warning: '/opt/sbin/rmmod' is already exists, skipping. Configuring php7-mod-dom. Configuring php7-mod-xmlreader. Configuring php7-mod-exif. Configuring libcap. Configuring libstdcpp. Configuring php7-cgi. Configuring oniguruma. Configuring php7-mod-xmlwriter. Configuring php7-fastcgi. Configuring php7-cli. Configuring php7-mod-mbstring. Configuring libpng. Configuring dropbear. Configuring php7-mod-json. Configuring curl. Configuring php7-mod-session. Configuring findutils. Configuring libtiff. Configuring php7-mod-simplexml. Configuring libfreetype. Configuring php7-mod-xml. Configuring php7-mod-zip. Configuring nginx. Configuring php7-mod-gd. Configuring tor. Configuring libexpat. Collected errors: * resolve_conffiles: Existing conffile /opt/etc/config/dropbear.conf is different from the conffile in the new package. The new conffile will be placed at /opt/etc/config/dropbear.conf-opkg. * resolve_conffiles: Existing conffile /opt/etc/tor/torrc is different from the conffile in the new package. The new conffile will be placed at /opt/et c/tor/torrc-opkg. * resolve_conffiles: Existing conffile /opt/etc/nginx/nginx.conf is different from the conffile in the new package. The new conffile will be placed at /opt/etc/nginx/nginx.conf-opkg. * resolve_conffiles: Existing conffile /opt/etc/nginx/fastcgi_params is different from the conffile in the new package. The new conffile will be placed at /opt/etc/nginx/fastcgi_params-opkg. И всё же именно эта тема больше всего соответствует сути того что происходит после попытки обновить имеющийся набор пакетов. И проблема отнюдь не с одним новым пакетом. Никогда ранее при обновлениях такого "винегрета" проблем не было и как их расхлебать абсолютно непонятно без Вашей помощи или Ваших разъяснений.
  15. Посмотрите на второй странице этой теме инструкции и необходимые файлы (или даже готовый образ) от ув. McMCC для нового ядра. В моём случае внёс небольшую правку чтобы tvheadend не стартовал автоматом, запускаю его вручную. Автостарт tvheadend в моём случае подвешивал стартующий роутер (бежал впереди паровоза). Больше ничего, может у Вас и этой проблемы не возникнет.
  16. Так же стабильно как и на предыдущем ядре, без малейших нареканий вот уже 3 месяца на всех вышедших за это время альфа-бета прошивках, сейчас на 3.4
  17. Почитайте внимательно тему за последние дня три, дропнут не tvheadend, а компонент поддержки dvd из прошивки. Ну, а если поизучаете данную тему за последние месяцы то увидите что для работы tvheadend на новом ядре этот компонент устанавливать просто категорически противопоказано. Т. е. дропнут не востребованный, не рабочий на новом ядре модуль. Но это не повлияет на возможность использовать tvheadend на KN-1810 с новым ядром никак.
  18. Как раз то на KN-1810 продолжаю без проблем использовать tvheadend на прошивках 3 версии (с новым ядром). Вовсе не обязательно сидеть на 2.16.
  19. Нет, это я понимаю. И мотивы разработчиков прошивок отказаться от поддержки компонента тоже понятны. Ну, а в целом Вы безусловно правы, разработчикам есть о чём подумать.
  20. Ну, выкинуть из компонентов прошивки неработающий пакет которым в обозримое время некому заниматься конечно просто логично... И всё же жаль что так всё складывается. Вы говорите что есть мол если что прошивки на старом ядре, но ведь это тоже не вариант для ваших новых продуктов.
  21. Во-первых, прекрасно работает у меня на новом ядре на KN-1810. Во-вторых к tvheadend вообще никаких вопросов, дело ведь не в нём, а в драйверах (грубо говоря). И вообще не могу понять какие вопросы к пакету если разработчики предлагают из раза в раз нерабочий компонент операционной системы "Модули ядра для поддержки USB DVB-тюнером". А пакет настолько изощрённо собран что на некоторых устройствах ( как на моём KN-1810) обходится своими силами без этого модуля из компонентов прошивки. Вот уж там из раза в раз наличие нерабочего модуля который предлагается в списке компонентов действительно проблема. То есть проблема не на этой стороне. P.S. Думаю вы сделаете большую ошибку если похороните одну из самых оригинальных идей для Keenetic. Я сам неоднократно видел , читал на различных технических форумах всевозможных устройств для просмотра TV (например ресиверы на Enigma2 и т.п.) как люди радуются что есть для них решение в лице этого пакета если у них дома есть Keenetic или целенаправленно покупают ваш продукт благодаря этой возможности. Думаю дропнуть будет большой ошибкой с вашей стороны.
  22. Прочитайте пост McMCC от 08.12.2019 на предыдущей странице. Это первоисточник.
  23. Проблема не в том что не хватит возможностей процессора (хватит и с tvheadend). Проблема с драйверами под ваш процессор.
  24. Признаться я вообще не понимаю почему вы заняты выбором USB-донгла для своего KN-1710, ведь он на SoC MT7628. Ув. McMCC чётко дает понять в своём посту выше что с 7628 большие проблемы. Во всяком случае на данный момент.
×
×
  • Create New...